import Editor from './editor';
import Output from '../output/output';
export declare type PluginLifecycleStep = 'onInstall' | 'onInject' | 'onDispose' | 'onImport' | 'onCreationImport' | 'onExport' | 'onCreationExport';
export declare abstract class Plugin {
    onInstall(editorOrOutput: Editor | Output): void;
    onInject(): void;
    onDispose(): void;
    onImport(): void;
    onCreationImport(): void;
    onExport(data: any): any;
    onCreationExport(data: any): any;
}
export default Plugin;
